<template>
  <q-page class="flex bg-positive">

    <div class="q-pa-md" style="max-width: 400px">

      <q-form action="http://gateway:8081/img/image" method="post" class="q-gutter-md"><!--@submit="onSubmit"-->
        <input name="_csrf" type="hidden" v-bind:value="csrf">
        <div>
          <q-file clearable filled counter :counter-label="counterLabelFn" use-chips color="purple-12" v-model="image" label="Open image" />
        </div>
        <q-btn label="Submit" type="submit" color="primary"/>
        
      </q-form>

      <!-- <q-uploader url="http://gateway:8081/img/image" method="POST" :formfields="[{name: '_csrf', value: csrf}]" style="max-width: 300px"/>:headers="[{name: 'Content-Type', value: 'application/json'}, {name: 'Accept', value: 'application/json'}]" -->

  </div>


  </q-page>
</template>

<script>
export default {
  name: 'wwweasel',
  data () {
    return {
      image: null,
      res: "~assets/MarkPassFoto.jpg"
    }
  },
  async beforeCreate(){
    console.log("wwweasel before created!");
  },
  methods:{
    onSubmit() {
      console.log("OnSubmit triggered: " + this.image );
      var fr = new FileReader();
      fr.onload = function () {
          this.$refs.i.src = fr.result;
      }
      fr.readAsDataURL(this.image);
      this.res = fr.result;
    },
    counterLabelFn ({ totalSize, filesNumber, maxFiles }){
      return `${filesNumber} files of ${maxFiles} | ${totalSize}`
    },
    factoryFn(files){
      console.log("factory!");
      return {
        url: 'http://gateway:8081/image',
        method: 'POST',
        

      }
    }
  },
  computed: {
    // Constantly update current CSRFToken to the VuexStore for Axios to be able to make requests with it.
    csrf:{
        get(){
            return this.$q.cookies.get('XSRF-TOKEN');
        },
        set(val){ // This will be triggered when you click on the Tabs!
            this.$store.commit('chat/setCsrftoken', val );
        }
    },
  },
}
</script>